# Deprecated API

## Contents

- Classes
- Fields
- Methods

Classes
org.apache.sling.jcr.base.util.RepositoryAccessor: No longer supported

Fields
org.apache.sling.jcr.base.util.RepositoryAccessor.JNDI_PREFIX
org.apache.sling.jcr.base.util.RepositoryAccessor.RMI_PREFIX

Methods
org.apache.sling.jcr.base.AbstractSlingRepositoryManager.start​(BundleContext, String, boolean): use `AbstractSlingRepositoryManager.start(BundleContext, AbstractSlingRepositoryManager.Config)` instead.
org.apache.sling.jcr.base.util.AccessControlUtil.replaceAccessControlEntry​(Session, String, Principal, String[], String[], String[]): use @link `AccessControlUtil.replaceAccessControlEntry(Session, String, Principal, String[], String[], String[], String)` instead.
org.apache.sling.jcr.base.util.RepositoryAccessor.getClientRepositoryFactory(): No longer supported
org.apache.sling.jcr.base.util.RepositoryAccessor.getLocalAdapterFactory(): No longer supported
org.apache.sling.jcr.base.util.RepositoryAccessor.getRepository​(String, Hashtable<String, Object>): No longer supported
org.apache.sling.jcr.base.util.RepositoryAccessor.getRepositoryFromURL​(String): No longer supported